msgpack::detail::unpack_array Struct Reference

`#include <unpack.hpp>`

## Public Member Functions

void | operator() (unpack_user &u, uint32_t n, msgpack::object &o) const

## Member Function Documentation

## operator()()

void msgpack::detail::unpack_array::operator() | ( | unpack_user & | u,
|  | uint32_t | n,
|  | msgpack::object & | o
| ) |  | const

inline

References msgpack::zone::allocate_align(), msgpack::type::ARRAY, msgpack::object::union_type::array, msgpack::unpack_limit::array(), msgpack::detail::unpack_user::limit(), MSGPACK_ZONE_ALIGNOF, msgpack::object_array::ptr, msgpack::object_array::size, msgpack::type::size(), msgpack::object::type, msgpack::object::via, and msgpack::detail::unpack_user::zone().

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/unpack.hpp